Create a file move limit based on file + revision size, and enforce it
Closed, ResolvedPublic3 Story Points

Description

The following limit checks should be added to the FileImporter. For both checks we want to implement a configurable value that defaults to the value given and a hard coded upper limit.

  • sum of number of file and text revisions (100 revisions)
  • sum of size of file and text revisions in bytes (250 MB)
  • maximum filesize / uploadsize (as enforced by MediaWiki uploading)
Lea_WMDE created this task.Feb 13 2018, 4:48 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptFeb 13 2018, 4:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tobi_WMDE_SW renamed this task from Create a file move limit based on rile + revision side, and enforce it to Create a file move limit based on file + revision side, and enforce it.Feb 13 2018, 4:48 PM
Tobi_WMDE_SW renamed this task from Create a file move limit based on file + revision side, and enforce it to Create a file move limit based on file + revision size, and enforce it.
Tobi_WMDE_SW updated the task description. (Show Details)Feb 13 2018, 4:55 PM
Tobi_WMDE_SW set the point value for this task to 3.
Addshore updated the task description. (Show Details)Feb 13 2018, 4:55 PM
Addshore updated the task description. (Show Details)

Change 413367 had a related patch set uploaded (by Ebba Aniansson; owner: Ebba Aniansson):
[mediawiki/extensions/FileImporter@master] [WIP] Changed the max sum of file and text revisions to 100, and max aggregated sum of bytes to 250mb

https://gerrit.wikimedia.org/r/413367

WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch moved this task from Proposed to Done on the WMDE-QWERTY-Team board.
WMDE-Fisch moved this task from Done to Currently in sprint on the WMDE-QWERTY-Team board.
aniansson moved this task from Sprint backlog to Doing on the WMDE-QWERTY-Sprint-2018-02-20 board.

Change 413367 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Change max sum of revisions and aggregated bytes

https://gerrit.wikimedia.org/r/413367

WMDE-Fisch closed this task as Resolved.Mar 6 2018, 4:02 PM
WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch moved this task from Done to Demoed on the WMDE-QWERTY-Team board.